<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Pearson Web Component</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width" />

    <link rel="stylesheet" href="https://unpkg.com/@pearson-ux/gravity-css" />

    <script type="text/javascript">
      if(/MSIE \d|Trident.*rv:/.test(navigator.userAgent)) {
        document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/webcomponents-loader.js"><\/script>');
        document.write('<script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/custom-elements-es5-adapter.js"><\/script>');
      } else {
        document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/webcomponents-loader.js"><\/script>');
        document.write('<script src="https://unpkg.com/@webcomponents/webcomponentsjs@^2/custom-elements-es5-adapter.js"><\/script>');
      }
    </script>

    <script src="js/dist/pearson-textarea.js"></script>
  </head>

  <body>
    <pearson-textarea label="My Label"></pearson-textarea>
    <script>
      const input = document.querySelector('pearson-textarea');
      input.addEventListener('input', event => {
        console.log(input.value)
      })
    </script>
  </body>
</html>

